apiVersion: releases.vmsp.vmware.com/v1alpha1
kind: Schema
metadata:
  labels:
    packages.vcf.vmware.com/packaging: package
  name: configuration-vidb-9.1.0.0.25289890
  namespace: vidb-external
spec:
  context:
    name: vidb
    type: configuration
    version: 9.1.0.0.25289890
  schema:
    openAPIV3Schema:
      description: Configuration schema for the vidb-9.1.0.0.25289890 package
      properties:
        values:
          properties:
            ingress:
              properties:
                vidb:
                  properties:
                    fqdn:
                      description: the FQDN for the components ingress
                      type: string
                    tls:
                      properties:
                        ca:
                          description: Platform ingress CA certificates
                          format: string
                          type: string
                        cert:
                          description: Platform ingress certificate
                          format: string
                          type: string
                        key:
                          description: Platform ingress private key
                          format: string
                          type: string
                      type: object
                    vips:
                      properties:
                        ipv4:
                          description: the IPv4 address for the components ingress
                          items:
                            type: string
                          type: array
                        ipv6:
                          description: the IPv6 address for the components ingress
                          items:
                            type: string
                          type: array
                      type: object
                  type: object
              type: object
            size:
              description: Component size profile
              enum:
              - small
              - medium
              - large
              type: string
            storage:
              properties:
                volumeGroups:
                  properties:
                    pgdataVidbPostgresInstance:
                      properties:
                        capacity:
                          description: Postgres volume group
                          type: string
                      type: object
                  type: object
              type: object
          type: object
      type: object
